package nc.ui.pu.m25.editor.card.beforeedit.header;
import nc.ui.pu.pub.editor.card.listener.ICardHeadTailBeforeEditEventListener;
import nc.ui.pubapp.uif2app.event.card.CardHeadTailBeforeEditEvent;
import nc.vo.pubapp.pattern.exception.ExceptionUtils;
public class Supplier implements ICardHeadTailBeforeEditEventListener {

	@Override
	public void beforeEdit(CardHeadTailBeforeEditEvent event) {
		int count = event.getBillCardPanel().getRowCount();
		for(int i = 0;i<count;i++){
			String vbdef20 = (String) event.getBillCardPanel().getBodyValueAt(i, "vbdef20"); 
        	if(vbdef20 != null) {
        		ExceptionUtils.wrappBusinessException("表体参照已有选中发票行，不可修改供应商！");
        		return;
        	}
		}
		
	}

}

